IsCloseTo (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.number

## Class IsCloseTo

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<java.lang.Double>
    - - org.hamcrest.number.IsCloseTo

- All Implemented Interfaces:
    Matcher<java.lang.Double>, SelfDescribing

      public class IsCloseTo
      extends TypeSafeMatcher<java.lang.Double>

  Is the value a number equal to a value within some range of acceptable error?

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsCloseTo(double value, double error)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Matcher<java.lang.Double>` | `closeTo(double operand, double error)` Creates a matcher of `Double`s that matches when an examined double is equal to the specified `operand`, within a range of +/- `error`.
    `void` | `describeMismatchSafely(java.lang.Double item, Description mismatchDescription)` Subclasses should override this.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `boolean` | `matchesSafely(java.lang.Double item)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsCloseTo

          public IsCloseTo(double value,
                           double error)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(java.lang.Double item)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<java.lang.Double>`

    - #### describeMismatchSafely

          public void describeMismatchSafely(java.lang.Double item,
                                             Description mismatchDescription)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should override this. The item will already have been checked for the specific type and will never be null.
      Overrides:
        `describeMismatchSafely` in class `TypeSafeMatcher<java.lang.Double>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### closeTo

          public static Matcher<java.lang.Double> closeTo(double operand,
                                                          double error)

      Creates a matcher of `Double`s that matches when an examined double is equal to the specified `operand`, within a range of +/- `error`. For example:

          assertThat(1.03, is(closeTo(1.0, 0.03)))

      Parameters:
        `operand` - the expected value of matching doubles
        `error` - the delta (+/-) within which matches will be allowed